Loading...
Searching...
No Matches
ranges::views::replace_if_fn Struct Reference
Inheritance diagram for ranges::views::replace_if_fn:

## Public Member Functions

template<typename Pred , typename Val >
constexpr auto | operator() (Pred pred, Val new_value) const
Public Member Functions inherited from ranges::views::replace_if_base_fn

template<typename Rng , typename Pred , typename Val >
requires viewable_range<Rng> && input_range<Rng> && indirect_unary_predicate<Pred, iterator_t<Rng>> && common_with<detail::decay_t<unwrap_reference_t<Val const &>>, range_value_t<Rng>> && common_reference_with<unwrap_reference_t<Val const &>, range_reference_t<Rng>> && common_reference_with<unwrap_reference_t<Val const &>, range_rvalue_reference_t<Rng>>

constexpr replace_if_view< all_t< Rng >, Pred, Val > | operator() (Rng &&rng, Pred pred, Val new_value) const

## Related Symbols

(Note that these are not member symbols.)
constexpr replace_if_fn | replace_if {}